# IDTindex_s Struct Reference

A rollback transaction id index. More...

`#include <rpmcli.h>`

## Data Fields
int | delta
int | size
int | alloced
int | nidt
IDT | idt

## Detailed Description

A rollback transaction id index.

Definition at line 368 of file rpmcli.h.

## Field Documentation

int IDTindex_s::alloced

current number of elements allocated.

Definition at line 371 of file rpmcli.h.

int IDTindex_s::delta

no. elements to realloc as a chunk.

Definition at line 369 of file rpmcli.h.

IDT IDTindex_s::idt

id index elements.

Definition at line 374 of file rpmcli.h.

int IDTindex_s::nidt

current number of elements initialized.

Definition at line 372 of file rpmcli.h.

int IDTindex_s::size

size of id index element.

Definition at line 370 of file rpmcli.h.

The documentation for this struct was generated from the following file:

- lib/rpmcli.h